New: New feature
Bug: Essential bugfix (Programm hangs, ...)
Fix: Other bugfix (Display, ...)
Chg: Changes (Optimation, ...)
Del: Removed 'feature' (Automation, ...)

(Some bugs may not affect the previous version, but an unreleased pre-beta
version)

1.00 beta 28:
(As this version contains an critical bug that causes crashes I recommend not to
use this version)
 - Chg: QuickPlayer window position and size stored in pixel in ini-file
 - New: Refresh presets support (Standart windows messaging / SendMessageA)
 - New: New preset manager.
 - Chg: QuickPlayer presets filename changed from QPlayer.ps? (ps0-ps9) to
        *.qps. Name parameter now obsolete
 - Fix: No longer can seek song with mouse during crossfading / ...
 - Fix: No more failsave when fmod is (was) missing
 - Fix: Player form no longer shown after fmod-missing error untill completed
        loading.
 - New: 'Copy tag' of current song feature.
 - Fix: No automatic playback when skipping/ending paused song.
 - Fix: When skipping songs without playback, songs are selected in playlist.
 - Fix: Faster quitting when song is paused if fading is enabled.
 - Fix: 'End ... after ... minutes' settings may have gone lost under some
        circumstances
 - Fix: No longer disables Spectrum Analyzer after Failsave or missing FMod.dll
 - Fix: Some remove songs from playlist related fixes
 - Fix: Incorrect 'Find current song' / 'Find current/next song' menu caption
        (Shown incorrectly after using 'Play next' feature)
 - New: Play song next indicators in Kiosk mode (menu, label)
 - New: 'Abort next song' in Kiosk mode (menu / label-click)

1.00 beta 27:
 - New: Always on top function (plus /ONTOP command line parameter)
 - Fix: When selecting one item from the 'last played songs' that is no more in
        the playlist, QuickPlayer now selects song properly after adding last
        played songs to playlist
 - Chg: "Skip/end songs after ... minutes" now always "End after ... minutes"
 - New: "Remove manually skipped/ended songs" feature
 - Chg: Ending songs manually will skip to next song even in single repeat mode
 - Fix: Restart playback working properly with streams
 - New: Seperate icons (no mp3 information / no timers) for dark windows color
        shemes
 - Bug: Selecting last playlist items sometimes caused crash
 - Chg: Menus disabled when performing autorefresh, browsing directories, adding
        files, loading playlist,  ...
 - Fix: No longer adds last played songs to playlist in kiosk mode
 - New: Sorting optional, (found in setup dialog, 'Advanced')
 - New: FMod 3.7 compatible
 - Fix: No crossfading whem both current and next item are Midi files
 - New: Using FMod callback when stream ends (This feature was included in
        previous version(s), but could not be used because of callback
        incompatibility (VB only supports stdcallback).
        FMod.dll now supports stdcallback (version 3.70)
 - New: Multi-Version compatibility:
        version 3.60 to 3.70 (with some features not working properly or
        notfunctional); Suggests to update anyway!
 - Chg: More flexibel GUI timer
 - Chg: Always up-to-date logfile
 - Chg: Preset support all settings (except failsave, of course)
 - New: Better failsave handling: Asks on startup whether to change output mode
        or ignore it
 - Fix: Better keyboard support for setup window
 - Chg: Optimized usercontrols for values (e.g. Setup dialog, File formats,
        'End ... after ...')
 - New: Smoth volume changing
 - New: Dropdown lists and console closed when form exits focus
 - New: Support for 'Context menu' key, and 'Pause' key (on your keyboard!)
 - Fix: When dragging files only, QuickPlayer names the containing folder
        matching the first files folder. Fixed that now the folder is saved
        to that folder, allowing it to be 'open[ed] in the explorer'

1.00 beta 26:
 - New: Directory updated (dropdown list) when changed
 - Bug: 'Add files' mouse gesture ignored in secure mode (/SECURE command line
        parameter, see 'Readme.txt', section 'Command line parameters')
 - Fix: Now using GetCommandLineA api (more reliable) instead of visual basic's
        app.path/exename functions
 - Fix: Menu item captions ('mini menu'; 'show previous songs' when in kiosk mode)
 - New: Spectrum mode can be toggled with doubleclick (normal <-> high detail
        spectrum)
 - Fix: When in 'repeat single' mode, current song will be searched in playlist.
        (e.g. when you load another playlist that contains that song,
        QuickPlayer finds and plays it.)
 - Chg/ Advanced timer settings: multiple timers with multiple actions; timers
   New: can be imported / exported, and loaded on startup via command line
        (parameter /LOADTIMER; see 'Readme.txt', section 'command line
        parameters' for details)
 - Fix: Shutdown timer restart if cannot shutdown currently (e.g. during
        crossfade)
 - New: Retry button in help window if loading QPlayer.txt could not be loaded.
 - Chg: "Skip ... after ... minutes" now "Skip/end ... after ... minutes",
        depending on playlist doubleclick setting
 - Chg: INI settings: WindowLeft/Height/Top/Width now sorted
 - Fix: Playlist saved if playlist is empty but has autorefresh directories
 - Fix: When playback fails on an autorefresh item, and playlist is empty after
        refreshing, playback stops properly (will retry later if automatic
        playback is on)
 - Chg: Faster skipping / quitting / ... when paused
 - New: Longer fadeout duration before shutdown
 - New: "Add last played songs to playlist" feature
 - Chg: Remembers 1024 last played songs
 - Chg: All keyboard shortcuts shown on the right side of the menu
        e.g.: Play item (skip) (i)
        gets: Play item (skip)      I
 - Chg: Deleted files removed from 'last played songs'-list
 - Fix: License info label shown properly when 'fmod missing' error occurs
 - Chg: Console available for the official beta version

1.00 beta 25:
 - Chg: 'Shut down computer in/at xx:xx: If QuickPlayer cannot currently unload
        to shut down, the 'Shut down' dialog will be shown again
 - Del: Export playlist has no longer seperate window (Advanced html has been
        discarded due to html interpretation incompatibility on most browsers)
 - Fix: Correct captions for 'Volume up/down' (menu)
 - Fix: No keyboard command shown in 'current track' tooltip text;
        Correct keyboard command (p) shown in 'pervious tracks button' tooltip
        text
 - Chg: Some small source code optimations
 - New: 'High detail spectrum' setting ('General settings', 'Appearance')
 - Chg: Flatbuttons can be set in the setup dialog ('General settings',
        'Appearance') instead of using a command line parameter
 - Del: /FLAT, /FFLAT and /FLAT! command line parameters (now available in the
        setup dialog: 'General settings', 'Appearance')
 - Chg: Spectrum(s) now using static variables (faster, as variables must not be
        initialised each time)
 - Fix: Crossfade takes 1/2 second longer but will! now completely fadeout old
        song (Sound buffer)
 - Chg: Setup menu control optimations (faster, less resources); Also removed
        scrolling functions for that control, because it is not used here.
 - Fix: Supports now id3v2 tag informations with lenght up to 2~32-1 characters
        correctly (found some large non-standart id3v2 tags containing
        non-standart informations, e.g. jpeg images).
 - New: Reading directories can be skipped
 - Fix: Faster stopping when paused
 - Fix: (Re)Loading the current playlist using the 'Load playlist...' menu will
        not save playlist before loading
 - Fix: When shutting down fails due OS incompatibility (e.g. Windows XP),
        QuickPlayer should quit correctly anyway (without shutdown)
 - Chg: System tray menu items renamed

1.00 beta 24:
 - Fix: Showing proper MP3 icon when loading presets
 - Fix: Showing correct tooltips when unknown or unsupported file format
        (instead of keeping old tooltip text)
 - New: If FMod version incompatible, QuickPlayer shows info screen on startup
        showing following text: "FMod version x.xx - Update required".
        Use /NOVERWARN command line parameter to suppress this warning.
        If FMod version is out of date, but compatible, it shows
        "FMod version x.xx - Please update" (during startup only), as before
 - New: /NOVERWARN to suppress the 'FMod ... update required' message on startup
        (info screen)
 - Fix: Spectrum analyzer no longer deactivated after crash
 - New: Conditional compiled debug code (not compiled for official versions)
 - New: Console (enabled in debug versions only)
        (Remark: with 1.00 beta 26 and higher compiled in official version)
 - Fix: When skipping songs, old song will no longer be shown once the new song
        title has been displayed (if loading sucessfull)
 - Chg: 'Current song' label cleared when song is stopped
 - Fix: Pressing left/right keys (seek) will no longer scroll the playlist
 - Chg: [Better] Keyboard event handling
 - Chg: Player form resizing optimized for speed
 - Fix: Some messaging related fixes (SendMessageA)
 - Chg: Some messaging related changes (SendMessageA)
 - New: Messaging via WM_Command (273) (SendMessageA) (old custom value 400 does
        not work properly)
 - New: /HIDETASK, /KIOSKMSG, /NOCONSOLE, /NOMSG, /NOTASKMGR (/NOTASKMGR!) and
        /SHUTDOWN command line parameters (see 'Readme.txt', section 'Command
        line parameters')
 - Chg: Some changes for correct unloading without any error / crash
 - Fix: Playlist doubleclick working when paused
 - Fix: MP3 format icon cleared when activating (setup or loading preset) during
        playback of non-mp3 files
 - Fix: presets and ini file now have lowercase extensions (*.ini instead of
        *.INI; *.ps? instead of *.PS?)
 - New: "Stop" changes to "Stop / abort next song" when next song is specified
        (Main menu, button tooltip text, Taskbar icon menu)
 - Fix: MP3 format icon shown properly on first startup (or missing inifile, or
        'GetMP3Format' missing in inf file)
 - Chg: Skip songs after ... minutes can have different timers for streams /
        trackers / CD Audio
 - Chg: Skip songs after... minutes allowes one decimal unit at the right side
        of the decimal point.
 - Chg: Skip songs after ... minutes not performed if setup dialog is open.
 - Chg: Skip songs after ... minutes starts counting when the song plays
        (previously: when loading) / after crossfade is finished.
 - Fix: Setup window shown in taskbar
 - Fix: Playlist vertical scrollbar disabled when playlist is empty
 - Fix: Comments in readme files now start with //
        (lines starting with one / were not shown in help window)
 - New: Dragging to "current song" label (skips song)
 - Fix: Dragging main directory(ies) to other applications working
        (fixed c: to c:\)
 - Fix: No longer drags 'virtual files'
        (e.g.: "song result messages: 'No results for ...'")
 - Fix: Dragging files on play/... buttons disabled in kiosk mode
        (this was no bug, because dragging anything to this buttons is ignored
        in Kiosk Mode!)
 - Chg: Playlist size optimations (about 40% smaller)
 - Del: Removed unused resources (IR tooltip texts)
 - Fix: Stops when deleting paused song.
 - Chg: Setup dialog & icons rearrangements
 - Chg: All dialog icons saved in standart resources
 - Fix: Failsave not used when using autodetection and default soundcard

1.00 beta 23:
 - Chg: Some api related optimations
 - Chg: Using up to 256 software channels
 - Chg: When dragging / opening files, all supported files will be added to
        playlist, wether denied or not. (When dragging / adding directories,
        only files that are NOT DISABLED will be added)
 - Fix: File information hidden correctly when changing from trackers to any
        CD-Audio / Midi
 - Fix: Menu "Refresh CD contents" shown correct text when only one CD drive
        present (previously labeled as "Add playlist...", so you had two
        'Add playlist' menus
 - Fix: On startup, no longer two items are selected
 - Fix: Automatic playback no longer disabled after crashing.
 - Fix: On some computers / operating systems, QuickPlayer skipped several songs
   ???  after playback starts. I encountered this problem on some computers.
        Could be a problem with Windows 2000 / XP only, or depend on computer
        speed. If it is depending on speed (timing problem), this should be
        fixed (well, should be, not yet tested).
        (Remark: this behaviour still occures in higher versions. If it's really
        just some timing problem, it should be fixed with 1.00 beta 27, which
        uses a seperate timer for skipping songs when position does not change
        within ... seconds. As beta 27 allowes flexibel refresh interval time,
        this timer WAS REQUIRED when using a GUI refresh interval time below
        1 second)
 - Chg: Added 3 lines code for better crossfades on low volume (now also takes
        about the same time for crossfade on each volume setting)
 - New: /CMD, /FLAT, /FFLAT, /INFO,/NOAUTOREFRESH, /NOAUTOSETUP, /NOSETUP,
        /NOSPECTRUM, /PROMO and /SECURE commandline parameters
        (see 'Readme.txt', section 'Command line parameters')
 - Chg: Standard playlist no longer shown in "Load playlist" menu
 - Chg: Hierarchy for /base, <playlist>, other command line parameters and
        CMD-files; See 'Readme.txt', section 'Command line parameters'
 - Fix: "Play next" working when current song is paused
 - Fix: Some "End song" related bugfixes
 - New: When saving a playlist in the base directory, QuickPlayer will
        automatically refresh the "Load playlist" menu
 - Fix: "No results for ..." entries generated by the Playlist generator will no
        longer be removed automatically
 - Fix: "Play next song" working when deleting files (if that file is not the
        deleted one!)
 - New: Deleting files will remove all playlist entries for the deleted files;
        Will also no longer delete a file twice (if two items are selected that
        'link' to the same file)
 - New: Selecting current song shows current song even if the current song is
        already selected
 - New: MP3 format icon changes: Now on the left side of the track title, no
        longer overlapping it (when overlapped it flickered)
 - Fix: Spectrum / Progress bar color changing when changing color shemes
        (display properties). (Was a VB leak when using <object>.line ...
        functions. It still was not working when updating the color manually,
        so QuickPlayer uses API to Get the absolute color value and uses that)
 - New: Vertical scroll bars for playlist
 - New: Menus disabled on several actions (e.g. crossfading, ...) (disabled, but
        not greyed)
 - New: Flat buttons (/FLAT or /FFLAT (/FLAT!) command line parameter
        (Remark: command line parameter removed in 1.00 Beta 25, you can
        activate flat buttons in setup dialog now)
 - Fix: Optimized MP3 format reading for mp3s using ID3v2 tag
 - Chg: Some playlist file format changes (m3u file).
 - Chg: Some menu changes (renamed / shortcuts)

1.00 beta 22:
 - New: "Reset sound system" feature
 - New: Dialog for "Export playlist"
 - New: MP3 ID3v2 tags working (so already tested in beta 21, it should now
        really work :)
        Yes, those stupid unicode tags should now also work (jukebox, ...???)
 - New: Trackseeking for CD Audio
 - Chg: New locking method: Does not lock the form itselft, but not respond on
        most events. Now the player still looks full functional when refreshing
        directories etc.
 - Chg: Reincluded progress indicator / trackseeking for trackers (So this may
        not work properly)
        (Remark: Working, but indicates current pattern only, so progress
        indicator is irregular)
 - New: Elapsed time for trackers (Cannot detect total time). Better than
        nothing
 - New: Crossfading for trackers or song end (So this may not work properly)
 - Fix: Deactivated looping for trackers when setting a "play next" song,
        reactivated when aborting 'play next'-song. (Single repeat mode only)
 - New: "Refresh CD contents" feature
 - Fix: Volume changing via mouse working properly when clicking but not moving
 - Fix: MP3 ID3v1 tag reading fixed (more compatible)
 - New: Using kernel32 function for faster file reading (for searching files
        used only: up to 4x faster plus attribute also returned saving some
        extra speed, especially when browsing over network)
        (Remark: It is faster, but practical its not that much faster. Still
        slow when sorting if there are lots of supported files in the same
        directory. Sorting can be disabled in the setup dialog in version 1.00
        beta 27 / higher)
 - Chg: Up to 65535 supported files for each directory
 - Chg: Optimized memory usage for recursive file searching
 - Fix: No more opens 'virtual' folders in explorer (e.g. the "PlayList"
        'folder' that contains dragged files)
 - New: When only directories are selected, QuickPlayer will drag this
        directories ('virtual' folders, e.g. the "Playlist"-'folder' that
        contains dragged files, will not be dragged anyway)
 - New: Menu for current song to allow copying file title / name to clipboard
 - Fix: Restoring window position working properly
 - New: "Add playlist" feature
 - New: Menu to copy file title / name to clipboard
 - New: Preset Manager window resizeable
 - New: On playlist rightclick, you can choose between 'Play (skip)',
        'Play (end song)' and 'Play next'
 - Fix: Pause no longer stops playback
 - Fix: AutoRefresh cannot be unloaded when the 'Add directory' dialog is open
 - Fix: QuickPlayer can be unloaded after Autorefresh-window has been used (It
        worked anyway if the setup dialog was used afterwards)
 - Fix: Removing Autorefresh menus (except "Autorefresh setup") working properly
        when choosing "New playlist"
 - New: Autorefresh directories sorted when loading playlists (required for
        "Add playlist...")
 - Chg: Little crossfade timing tweaks
 - Fix: Randomizer no longer selects directories
 - Fix: End song button / keypress ignored if not currently playing
 - Fix: Timer settings shown correctly when reopened
 - Fix: Timer setting no longer allows current time / duration of 0 minutes;
 - Fix: Timer settings working with 23 o'clock (23:xx)
 - Fix: "Open in Explorer" working if filename contains commas
 - Fix: Some optimations that should prevent playback ??? hangs (Song hangs and
        QuickPlayer skips to the next one); Now using channel handles returned
        by FMod instead of using channels IDs. Seems to work, but I cannot
        promise it's really fixed.
 - Fix: Faster unloading when paused
 - Del: IR support removed (a seperate IR program will follow soon)
 - New: Supports standart Windows messaging (FindWindowA, "Static",
        "QuickPlayer023Msg")
 - New: Globalkeys working. See 'Readme.txt', section "Keyboard shortcuts" for
        details
 - New: Playcontrol menu shown in kiosk mode (with allowed functions only)
 - Fix: If paused and changing output device or resetting Sound system,
        QuickPlayer will abort the current song. Automatic playback also
        will not start [playback after one minute]
 - New: commandline parameter /VOLUME to allow volume changing in kiosk mode
 - New: commandline parameter /CD to show "Refresh CD content" menu
 - Chg: Using lstrcpynA instead of lstrcpyA function to avoid any errors with
        large strings
 - Fix: When using automatic playback and QuickPlayer has 'crashed' before, it
        will not automatically start playback after one minute
 - Fix: Help text containing "/" shown correctly

1.00 beta 21:
 - Del: Removed Crossfade window
 - Chg: New crossfade methode; Updated crossfade timer settings.
 - Fix: IR Setup shown in Systray menu so IR was not enabled; Caused errors when
        opening the IR setup dialog and doing something ...
 - Fix: Problems with "Generate playlist" not searching for some elements.
 - Fix: "Close when finished" checkbox / text realigned when resizing
        "Generate playlist" window.
 - Fix: When reading files or directories with illegal characters in filename
        over network, QuickPlayer will continue with the next one instead of
        aborting searching.
 - Chg: Some optimations when reading files or directories.
 - Chg: Asking for confirmation when enabling IR support via doubleclicking on
        the small icon.
 - Fix: AutoRefresh dialog resizing working properly.
 - New: Information label for AutoRefresh dialog.
 - New: Preset manager.
 - New: "Play next"-song played after quitting
 - New: Remove current song when "Remove played song" is active and either
        "Play next" active or not single repeat. (Ignored when in random mode
        because QuickPlayer will always select random song on startup then)
 - New: Infoscreen can be moved and is not foreground window when opened with
        the menu.
 - New: "Show current song" selects next song if current song is already
        selected (Menu changed to "Show current/next song" if "Next song" is
        set.
 - Chg: Using some new features from FMod 3.62.
 - Fix: Crossfade disabled when crossfading audio tracks from same drive
 - Fix: Lot's of CD Audio related bugfixed and features
 - Bug: Menus shown in kiosk mode and with /noquit command line parameter
 - Fix: Selecting random song will unselect all other items.
 - Chg: "Show MP3 ID3 Tags" option changed to "Show additional file infos"; Now
        show in Player, Options menu (instead of setup window)
 - New: MP3 information working (ID3 1.0 only), plus mod / ogg information
 - New: MP3 format / MP3 tag shown for current track when activating.
 - New: Create html (now working) / Create plain text (new)
 - New: /NOPLMENU command line parameter
 - Fix: Keyboard support in kiosk mode (Enter, R, ...)
 - Fix: Using 32x32 icon as program icon again (I just wonder why this setting
        got lost)
 - Fix: Timer icon changed for better color sheme support
 - Chg: "Move to playlist end" changed to "Copy to playlist end"; 'pasted' items
        no longer selected automatically after copying.
 - Fix: Optimized mp3 format icons to be shown correct when compiled exe file
 - Fix: Mark current song when crossfading actually begins.

1.00 beta 20:
 - Fix: alignment of items "Moved to playlist end"
 - Bug: When adding directories, they are not added twice
 - Fix: Automatic playback now working when dropping (Drag'n'Drop) a playlist
        file (m3u) into empty playlist.
 - Chg: Removed some shortcuts from Options menu;
        Changed / Added ShortCuts:
          CTRL+S  ->  Save playlist
          CTRL+E  ->  Move to playlist end
          Ctrl+P  ->  Crop in empty playlist
          F6      ->  Autorefresh Setup
 - Chg: Lots of Menu ShortCuts (underlines)
 - Bug: "Moving songs to playlist end" set an invalid value that resulted in an
        error
 - Fix: When "Moving" all "songs to playlist end", the first entry ("Playlist")
        is selected
 - Fix: Readme, "System Requirements" 'Readme.txt', section
 - Bug: IR indicator and Timer icons modified. (Some vb bug/behavior; It's a
        problem with compiled file only)
 - Chg: First startup / default settings;
 - Fix: Volume slider working
 - New: Kiosk mode (parameter "/LOCKED")
        (see 'Readme.txt', section "Kiosk Mode" / "Command line parameters")
 - New: Command line parameter "/BASE=" to specify the (base) filename for
        settings, playlist and presets.
        (see 'Readme.txt', section "Command line parameters")
 - New: Some other new command line parameters
        (see 'Readme.txt', section "Command line parameters")
 - New: Support for remarks in readme file (/)
 - Fix: Better keyboard/mouse support for help window
 - New: QuickPlayer makes seperators in "Load preset" submenu (if one or more
        empty entries between two presets)
 - Chg: "Close button" for Crossfade window
 - Chg: All captions for Crossfade window button stored in standart resources
 - Fix: Some Crossfade window (and related) bugfixes
 - Fix: Now "using" up to 32767 bytes fileinformation for opening files (about
        max. 400 files); (Affects "Add file(s)" only)
 - New: Feature list in readme file
 - Chg: "Repeat mode", "Remove missing songs" and "Remove played songs" also
        stored in ini-file, (See 'Readme.txt', section "Settings / Presets /
        Playlist") for further information
 - New: Sorting Subdirecotories before adding to list
 - New: Info dialog shows fmod.dll version
 - New: Timer form shows current time
 - New: Dialog to abort shutdown (also shows current time)
 - Fix: "Remove played songs" menu checked when active
 - Chg: Some randomizing changes
 - Fix: Find random song after deleting file
 - Chg: Swapped "Help" and "About..."
 - Chg: Show mp3 information disabled in setup dialog as still not funcional
 - Fix: No longer can disable all filetypes at once
 - Chg: Lots of readme file changes
 - Chg: Several Readme file topics hidden in kiosk mode
 - Fix: Correct tooltip text for "next" button
 - Del: No more process indicator for Tracker / midi as still not working
        properly
 - New: Tools menu including new feature: "Generate playlist" (See 'Readme.txt',
        section "Generate playlist")
 - Chg: AutoRefresh, Timer settings and crossfade window moved to Tools menu
 - Fix: When crossfading from a stream file to a midi, tracker or cd-audio, the
        stream's (old song) volume did not decrease
 - Fix: Some problems when (un)pausing tracker, midi or cd-audio

1.00 beta 19:
 - Chg: "Open containing folder" renamed to "Open in Explorer"
 - New: Shortcut for "Open in Explorer" (Ctrl+X)
 - Chg: Lots of menu / resource rearrangements
 - New: Play mode shows playmode in tooltoptext
 - New: Volume button shows volume in tooltoptext
 - New: Dropping on playlist with right mouse button will open a context menu to
        choose action
 - New: Different Icons / Tooltiptext for IR support: Disabled, DeActivated,
        Activated (Doubleclick enables IR / opens IR Setup dialog)
 - New: Disabled Timer Icon if timer not set (Doubleclick opens Timer Setup
        dialog)
 - Chg: CrossFading / "MD Record mode" / "Stop after each song" settings are now
        stored as EndSongMode (0=off, 1=Crossfade 2=MDRecMode, 3=StopEachSong)
        -> Less code, setting file and presets 29 bytes smaller
 - New: IR Support menus updated, added a toggle event to switch between
        Standart, Crossfade, "MD Record Mode" and "Stop after each song"
 - New: Starting with parameter "/Failsafe" or "/Default" will reset all
        settings. not case sensitive, of course :)
 - New: Added Refresh for "Save preset"
 - New: Settings file and presets now sorted (except preset names)
 - Fix: Changing "Playlist Doubleclick action" / Tray Icon left-/rightclick
        action working properly
 - Fix: When songs not found and removed from playlist Playlist, and playlist
        gets emtpy, an error occured
 - Fix: Skipping to next song after deleting when not random mode working
        properly
 - Chg: Autorefresh removed from General settings window (Autorefresh is
        playlist related (m3u file), not settings related (ini file).)
        A menu item to open the Autorefresh dialog is found in the file menu
        (as the other autorefresh commands)
 - Fix: Minimum songlength to allow crossfade set to 1 Minute (affects automatic
        crossfade at song end only).
 - Fix: Random song selected on automatic play start
 - New: Retry button if FMod is missing
 - Fix: Track position bar uses full height
 - Fix: When using "Automatic playback", QuickPlayer will no longer start
        playback after an "Stop after each song" event or when stopped due
        timer ("Stop playback in/at ...").
 - Fix: Stopping when removing last song now working when "Remove missing songs"
 - Fix: Fixed some problems when going to next song with crossfade and song does
        not exist
 - Fix: Finding songs (Did not work under some conditions)

1.00 beta 18:
 - Fix: Better resizing / no more problems on special Windows shemes
 - Chg: Some elements changed / removed (Minimal Interface changes for better
        performance)
 - Chg: Using GDI-Callbacks instead of standart Visual Basic timer -> Player
        still playing / updating Interface on several functions (e.g.: Allowes
        QuickPlayer to handle events during usage of menus and similar events).
        (Hope this does not cause problems with some functions)
 - Chg: New unload methode (GDI-Callback compatibility): Now unloading all forms
        manually instead of end statement (Absurd, but otherwise some parallel-
        running code may request the form resulting in a reload of the requested
        form)
 - Fix: IR-Remote disabled when crashing;
 - Chg: Play on startup skipped after a crash, but no more disabled.
 - Chg: Changed some language resources
 - Fix: Crossfade windows: Abort button disabled after "Finish / Automatic"
        crossfading (Pressing caused fmod-error)
 - Chg: Some QPlayer.txt changes
 - Fix: IR Indicator icon now stored in resources
 - Chg: Setup dialog redesigned (Smaller window, menu on the left)
 - Chg: Lots of setting changes
 - New: Get MP3 format (Optional) (See 'Readme.txt', section "MP3 format icon")
 - New: Get MP3 ID3 tag (Optional, not yet functional)
 - Fix: Loading a preset with setup-window open will update the "Check for
        accurate streams updates" checkbox
 - Chg: Some code optimations (speed / size)
 - New: IR command "Shut down Computer"
 - Fix: Checking for invalid IR command to avoid errors
 - Fix: Mouse Gestures will no longer show numbers in title bar
 - New: Small icon to indicate Timer settings
 - Chg: Spectum centered
 - Chg: "Skip songs after ... minutes" ignored if playlist is empty
 - Fix: Crossfading at song end ignored if playlist is empty (caused abort 16
        seconds before songend)
 - New: "Skip songs after ... minutes" depending on filetype (Stream - Tracker /
        Midi - CD Audio)
        Default setting is: Skip Tracker/Midi or CD Audio after 5 Minutes.
        Previous settings (older QuickPlayer version) will be ignored.
 - Fix: "Stop after each song" ignored when ending song manually ("End Song"
        buttonclick, playlist doubleclick, IR End song)
 - New: "Ignore files / directories beginning with # or _" (see Setup dialog)
 - Chg: "Play on startup" changed to "Automatic playback"
 - Chg: Autorefresh now in General settings window
 - Chg: Lots of Menu & resource rearrangements
 - New: Open containing folder
 - Chg: File deleting can only be enabled or disabled.
 - Chg: "Show titles when minimized" and "Show elapsed time" now found in
        "General settings" window
 - New: Activating "Follow current song" will mark the current song (if only
        one song is selected)
 - Fix: Autorefresh List (Setup) tooltip text localized
 - Fix: When paused / stopped, trayicon leftclick will start playback / unpause
        instead of skipping / ending song
 - Fix: Volume correct when skipping/starting songs without crossfade
 - Fix: Deleting last file in playlist stops playback

1.00 beta 17:
 - Chg: Setup dialog if crashed will no longer open if only default settings
        were used (Output mode, Soundcard, IR Remote support)
 - Chg: Smaller and faster spectrum analyzer (less but broader peaks)
 - Chg: Mouse gestures not saved in presets
 - Fix: Title displayed when skipping/ending songs with Infrared Remote
 - Chg: "Skip songs after ... minutes" set to 6 mins by default
 - Add: Ctrl+G for "Goto directory"
 - Add: Refresh / Crossfade Icon in QuickPlayer has Tooltip (So you will
        properly never see it)
 - Fix: QuickPlayer / Playlist gets focus after deleting files (After deleting
        files QuickPlayer did not respond on keyboard events so it was current
        application)
 - Chg: "Skip songs after ... minutes" saved in presets (may be used for some
        kind of intro-mode, ...)
 - Fix: Right-clicking on the Repeat or Volume button will no longer change
        repeatmode / show (hide) volume slider
 - Chg: Lots of Readme (QPlayer.txt) changes
 - Bug: QuickPlayer crashed under some conditions when crossfade window was open
        (e.g. "finish / autocrossfade")
 - Fix: Little Title display ("show titles when minimized" / IR Commands)
        arrangements.
 - Fix: Help window closes on escape
 - New: IR supports Sleep-timer
 - Fix: Saved files extensions all lowercase (ini/ps?)
 - New: Check for accurate streams (Optional / Default)

1.00 beta 16:
 - New: QuickPLayer opens setup dialog if crashed
 - Fix: Copyright for QPlayer.exe
 - Fix: Startup dialog shows current operation correct
 - Fix: Find song works when no song is selected
 - Chg: When (re)loading playlist, the refresh icon is displayed
 - New: When using 'Removed played songs' and autorefresh is used and last song
        in list is removed, an autorefresh is performed
 - Chg: CDA and Midi files disabled by default
 - Fix: Current song now selected after deleting files
 - Bug: Some playcontrols disabled during (un)pausing/skipping/stopping
        (Skipping multiple songs at once no longer plays/displays wrong song,
        Fading ((un)pause/stop/skipping) no longer can be interupted, ...)
 - New: Now you can choose Playlist-DoubleClick action
 - New: Presets
 - Chg: Infoscreen, no more Professional Edition
 - Fix: Icon problems (****** visual basic / Resource Editor)
 - New: Mouse gestures
 - Fix: First seconds of song no longer loop when starting player using
        "Playback on startup" and some other conditions

1.00 beta 15:
 - Fix: 'Old song remaining'-label (Crossfade window) fixed, and no longer
        disappears
 - New: Crossfading can be aborted
 - Fix: Crossfading: When restarting new song at 100% Volume, new volume and
        crossfade scrollbars are disabled
 - Chg: Updated IR-Settings (Crossfade options only)
 - Fix: Refresh-Indicator (Icon) now displayed when adding a directory
 - Chg: Lot's of Menu/Label-Captions changed
 - Chg: Removed some strings that should not be localized from the resources
 - Chg: IR Support now saved as standart resource
 - Fix: Spectrum analyzer shows correcter spectrum
 - New: Spectrum analyzer disabled when minimizing
 - Chg: Global keys disabled (still not functional)
 - Del: Removed crossfade window toggle/on/off support for IR. When attempting a
        crossfade function, the Crossfade window will opened automatically
 - Chg: Modified crossfade icon (small icon only)
 - Chg: Crossfading and "MD Record Mode" enabled in "Single-Repeat"-Mode
 - Fix: No more tabstop for Spectrum analyzer
 - Bug: Error when using AutoRefresh with timer
 - Bug: QuickPlayer stops after finishing song if playlist is empty
 - Chg: Infoscreen
 - New: Timer settings (Start/stop playback, shut down computer)
 - Chg: When using Autorefresh, menu "Autorefresh" (previous:
        "Autorefresh Setup") is checked (similar to Timer settings)
 - Chg: Lots of QPlayer.txt updates
 - Fix: Adding single files works
 - New: When playing/paused, Play/Pause is checked for TaskIcon menu
 - Chg: Current title / position bar layout
 - Chg: When setting volume with the menu, the volume bar no longer appears
 - Fix: No longer multiple songs selected on startup
 - Fix: Random song no longer selects directories
 - Chg: Improved random mode
 - Fix: Mini-Menu no longer shows double-seperators
 - Chg: Faster track skipping

1.00 beta 14:
 - New: fmod scans now mp2/3 for accurate Length (a fmod-flag I forgot to use)
        (Remark: Please update to fmod 3.63 for faster checking when using this
        feature (I'm not sure if it was optinonal in this version, but I think
        so))
 - Bug: Crossfade-Window cannot be closed during automatic crossfades
        (QuickPlayer crashed)
 - Chg: Help Window no longer sizeable (text is optimized for windowsize).
 - Chg: Source code optimation
 - Chg: Delete file optimation
 - New: More crossfade-features for IR
 - Chg: Infoscreen modified
 - New: Option to associate playlists with QuickPlayer (Smart registering)
 - New: Now removing missing files when loading playlist (If option selected)
 - Fix: Find current song works after Refresh
 - New: QuickPlayer uses standard resources (So they can easily modified).
        Required for multilanguage support (All but IR-support).
 - Chg: Quits faster
 - Chg: Setup dialog size (for multilanguage support)
 - New: Disabling file deleting will hide menu-entries (Does not affect IR
        settings)
 - New: Removing all autorefresh directories will hide menu-entries (Does not
        affect IR settings)
 - Fix: Removing all autorefresh directories will remove old refresh songs
 - Bug: Removed bug when removing [non-]autorefresh songs
 - Bug: "Save playlist as..." uses correct filename 
 - Fix: "Add directory..." works with drives correct (e.g. "C:\")
 - Fix: QuickPlayer now support " in filename(playlist) command line parameter
        (long file name support)
 - Fix: When refreshing / adding files / ..., the Refresh-Icon will be displayed
 - Fix: When starting without playing, QuickPlayer's caption is now
        "QuickPlayer"
 - Fix: Directory display shows nothing if empty playlist, correct title if one
        or more directories
 - Add: QuickPlayer will inform you is FMOD.DLL is missing (no more ugly error
        message).
 - Bug: Random mode and empty playlist caused divide by zero error
 - Bug: Finding next song with crossfade / endsong
 - Bug: Minimize to tray (didn't hide/show player)
 - Bug: Moving mouse above 513/516 pixel-colums was interpreted as taskiconclick
 - New: Spectrum analyzer
 - New: Global Keys (Ctrl+Alt+KEY) (Not yet functional, but option is included)
 - New: Select random item (r)
 - Chg: Key 'r' is now assigned for select random item. Use 'd' for random mode
        instead

